use Test::More;

use lib 'lib';
use helper;

BEGIN { use_ok( 'SugarTrail::Repo' ); }
require_ok( 'SugarTrail::Repo' );

my $repo = SugarTrail::Repo->new(root => './t/data/strepo', vcs => 'git');
&helper::dmup(repo=>$repo);
ok($repo,           "repo is true");

my $stm = $repo->load_stm(stm=>'/release/rc.stm');
&helper::dmup(stm=>$stm);
ok($stm,            "stm is true");


done_testing();
